import * as VAPI from "vapi";
import { WaveFile } from "./biw-utils.js";
export declare class AudioStreamTransmitter {
    readonly num_channels: VAPI.Audio.Channelcount;
    readonly format: VAPI.Audio.Format;
    readonly ptime: VAPI.Definitions.PacketTime;
    private m_socket;
    private prev_ts;
    private sample_per_packet;
    private seqnr;
    private buf;
    private wave?;
    private wave_pos;
    private wave_done?;
    private write_func;
    constructor(num_channels: VAPI.Audio.Channelcount, format: VAPI.Audio.Format, ptime: VAPI.Definitions.PacketTime);
    start(params: {
        src?: string;
        dst: string;
        port: number;
        pt?: number;
        ttl?: number;
        name?: string;
    }): Promise<string>;
    stop(): void;
    private read_samples;
    set_wave(wave: WaveFile, cb?: () => void): void;
    process(_1: any, sync_seqnr: number, ts: number): void;
    chain(): (data: any, seqnr: number, ts: number) => void;
}
